@import "assets/scss/global";

.table-select-container {
    position: relative;
    height: max-content;
    height: 50vh;
    width: 100%;

    border-radius: 16px 16px 0 0;
    overflow-y: auto;

    .row-sticky {
        position: sticky;
        top: 0;
        z-index: 10;
        border-radius: 16px 16px 0 0;
        overflow: hidden;
    }

    table {
        width: 100%;
        table-layout: fixed;

        thead {
            tr {
                border-radius: 16px 16px 0 0;
                background: #F9E5D7;

                th {
                    text-align: left;
                    height: 44px;
                    padding: 12px;
                    color: #8B5252;
                    font-weight: 600;
                    font-size: 13px;
                    line-height: 24px;

                    &:nth-child(1) {
                        width: 32%;
                        padding-left: 24px;
                    }

                    &:nth-child(2) {
                        width: 8%;
                    }

                    &:nth-child(3) {
                        width: 15%;
                    }

                    &:nth-child(4),
                    &:nth-child(5) {
                        width: 20%;
                    }

                    &:nth-child(6) {
                        width: 5%;
                    }
                }
            }
        }

        tbody {
            tr {
                &:nth-child(2n) {
                    background: #FFFFFF;
                }

                &:nth-child(2n + 1) {
                    background: #F7F8FC;
                }

                border-bottom: 1px solid #E2E5F2;

                td {
                    padding: 17px 12px;
                    color: $dark-color;
                    text-align: left;
                    font-weight: 400;
                    font-size: 13px;
                    line-height: 20px;

                    &:nth-child(1) {
                        padding-left: 24px;

                        .select-unit-name {
                            flex: 1;

                            [class*='input-content'] {
                                height: 48px;
                            }

                            &.error {
                                button {
                                    border: 1px solid #f33060;
                                }
                            }

                            ul {
                                min-width: 125%;

                                li {
                                    overflow: hidden;
                                    white-space: nowrap;
                                    text-overflow: ellipsis;
                                }
                            }
                        }

                    }

                    .select-unit-type {
                        &.error {
                            button {
                                border: 1px solid #f33060;
                            }
                        }

                        &.disabled {
                            opacity: 0.6;

                            button {
                                background-color: #E2E5F2;
                            }

                            label {
                                color: #8E91A0;
                            }
                        }

                        ul {
                            min-width: 10rem;
                        }
                    }

                    .select-time {
                        &.error {
                            >div {
                                border: 1px solid #f33060;
                            }
                        }

                        &.disabled {
                            [class*='a-date-input'] {
                                label {
                                    color: #8E91A0;
                                }
                            }
                        }
                    }

                    &:nth-child(6) {
                        padding: 0;

                        &>div {
                            display: flex;
                            align-items: center;
                            justify-content: center;

                            svg {
                                cursor: pointer;
                            }
                        }
                    }
                }

                &.action {
                    border-bottom: none;

                    td {
                        &:nth-child(1) {
                            cursor: pointer;
                            color: $secondary-color;
                        }
                    }
                }
            }
        }
    }
}